<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_6e38cb9e043a07cd6" . "9a1711a6704c62a" => base64_decode("cGFyZW50X2" . "lk"), "_d0845bff5cd0ddb5" . "ed1d7bd9db996f51" => base64_decode("c291" . "cmNl"));
use Claromentis\Core\Event\GenericEvent;


class AddFolderEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_d0845bff5cd0ddb5" . "ed1d7bd9db996f51"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_6e38cb9e043a07cd69a1711" . "a6704c62a"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}